Skip to main content
GET
/
calendars
/
schedules
/
search
List user availability schedule
curl --request GET \
  --url https://services.leadconnectorhq.com/calendars/schedules/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Version: <version>'
{
  "schedules": [
    {
      "id": "IkqiJlXJ7o9h61tCHHod",
      "name": "Business Hours Schedule",
      "locationId": "IkqiJlXJ7o9h61tCHHod",
      "rules": [
        {
          "type": "wday",
          "intervals": [
            {
              "from": "09:00",
              "to": "17:00"
            }
          ],
          "date": "2023-04-15",
          "day": "monday"
        }
      ],
      "timezone": "America/New_York",
      "dateAdded": "2023-01-15T10:30:00.000Z",
      "dateUpdated": "2023-01-20T14:45:00.000Z",
      "userId": "IkqiJlXJ7o9h61tCHHod",
      "deleted": false,
      "calendarIds": [
        "<string>"
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-04-15

Query Parameters

locationId
string
required

Location ID to filter schedules by

Example:

"IkqiJlXJ7o9h61tCHHod"

userId
string
required

User ID to filter schedules by specific user

Example:

"IkqiJlXJ7o9h61tCHHod"

calendarId
string

Calendar ID for filtering schedules by specific calendar

Example:

"WvVX9LpvlBO6K506xLbp"

skip
number
default:0

Number of items to skip for pagination

Required range: x >= 0
Example:

0

limit
number
default:50

Maximum number of items to return (max 500)

Required range: 1 <= x <= 500
Example:

50

Response

Schedules retrieved successfully

schedules
object[]
required

Array of schedules

Last modified on March 4, 2026